Get Balances
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/payouts/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payouts/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"btc": {
"btc": 0,
"usd": null
},
"ltc": {
"ltc": 0,
"usd": null
},
"eth": {
"eth": null,
"usd": null
},
"sol": {
"sol": null,
"usd": null
},
"addresses": {
"btc": "",
"ltc": "",
"eth": "",
"eth_usdt": "",
"eth_usdc": "",
"sol": "",
"sol_usdt": "",
"sol_usdc": ""
},
"eth_usdt": {
"eth_usdt": "0",
"usd": 0
},
"eth_usdc": {
"eth_usdc": "0",
"usd": 0
},
"sol_usdt": {
"sol_usdt": "0",
"usd": 0
},
"sol_usdc": {
"sol_usdc": "0",
"usd": 0
}
}Crypto Wallet
Get Balances
Retreive the current balances of the crypto wallets.
GET
/
v1
/
shops
/
{shopId}
/
payouts
/
balances
Get Balances
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes